Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_LSOCK_CODgram Class Reference

Defines the member functions for the connected datagram abstraction. More...

`#include <LSOCK_CODgram.h>`

Inheritance diagram for ACE_LSOCK_CODgram

[legend]
Collaboration diagram for ACE_LSOCK_CODgram:

[legend]
List of all members.

## Public Methods
| ACE_LSOCK_CODgram (void)
| Default constructor.
| ACE_LSOCK_CODgram (const ACE_Addr &remote_sap, const ACE_Addr &local_sap = ACE_Addr::sap_any, int protocol_family = PF_UNIX, int protocol = 0)
| Initiate a connected-datagram.
int | open (const ACE_Addr &remote_sap, const ACE_Addr &local_sap = ACE_Addr::sap_any, int protocol_family = PF_UNIX, int protocol = 0)
| Initiate a connected-datagram.
ACE_HANDLE | get_handle (void) const
| Get underlying handle.
void | set_handle (ACE_HANDLE)
| Set underlying handle.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Defines the member functions for the connected datagram abstraction.

## Constructor & Destructor Documentation

ASYS_INLINE ACE_LSOCK_CODgram::ACE_LSOCK_CODgram ( | void )

| Default constructor.

ACE_LSOCK_CODgram::ACE_LSOCK_CODgram ( | const ACE_Addr & remote_sap,
| const ACE_Addr & local_sap = ACE_Addr::sap_any,
| int protocol_family = PF_UNIX,
| int protocol = 0 )

| Initiate a connected-datagram.

## Member Function Documentation

void ACE_LSOCK_CODgram::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_LSOCK.

ASYS_INLINE ACE_HANDLE ACE_LSOCK_CODgram::get_handle ( | void ) const

| Get underlying handle. Reimplemented from ACE_LSOCK.

int ACE_LSOCK_CODgram::open ( | const ACE_Addr & remote_sap,
| const ACE_Addr & local_sap = ACE_Addr::sap_any,
| int protocol_family = PF_UNIX,
| int protocol = 0 )

| Initiate a connected-datagram.

ASYS_INLINE void ACE_LSOCK_CODgram::set_handle ( | ACE_HANDLE h )

| Set underlying handle. Reimplemented from ACE_LSOCK.

## Member Data Documentation

ACE_LSOCK_CODgram::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_LSOCK.

The documentation for this class was generated from the following files:

- LSOCK_CODgram.h
- LSOCK_CODgram.cpp
- LSOCK_CODgram.i